import { Route53ResolverClient } from "./Route53ResolverClient";
import { AssociateResolverEndpointIpAddressInput } from "./types/AssociateResolverEndpointIpAddressInput";
import { AssociateResolverEndpointIpAddressOutput } from "./types/AssociateResolverEndpointIpAddressOutput";
import { AssociateResolverRuleInput } from "./types/AssociateResolverRuleInput";
import { AssociateResolverRuleOutput } from "./types/AssociateResolverRuleOutput";
import { CreateResolverEndpointInput } from "./types/CreateResolverEndpointInput";
import { CreateResolverEndpointOutput } from "./types/CreateResolverEndpointOutput";
import { CreateResolverRuleInput } from "./types/CreateResolverRuleInput";
import { CreateResolverRuleOutput } from "./types/CreateResolverRuleOutput";
import { DeleteResolverEndpointInput } from "./types/DeleteResolverEndpointInput";
import { DeleteResolverEndpointOutput } from "./types/DeleteResolverEndpointOutput";
import { DeleteResolverRuleInput } from "./types/DeleteResolverRuleInput";
import { DeleteResolverRuleOutput } from "./types/DeleteResolverRuleOutput";
import { DisassociateResolverEndpointIpAddressInput } from "./types/DisassociateResolverEndpointIpAddressInput";
import { DisassociateResolverEndpointIpAddressOutput } from "./types/DisassociateResolverEndpointIpAddressOutput";
import { DisassociateResolverRuleInput } from "./types/DisassociateResolverRuleInput";
import { DisassociateResolverRuleOutput } from "./types/DisassociateResolverRuleOutput";
import { GetResolverEndpointInput } from "./types/GetResolverEndpointInput";
import { GetResolverEndpointOutput } from "./types/GetResolverEndpointOutput";
import { GetResolverRuleAssociationInput } from "./types/GetResolverRuleAssociationInput";
import { GetResolverRuleAssociationOutput } from "./types/GetResolverRuleAssociationOutput";
import { GetResolverRuleInput } from "./types/GetResolverRuleInput";
import { GetResolverRuleOutput } from "./types/GetResolverRuleOutput";
import { GetResolverRulePolicyInput } from "./types/GetResolverRulePolicyInput";
import { GetResolverRulePolicyOutput } from "./types/GetResolverRulePolicyOutput";
import { ListResolverEndpointIpAddressesInput } from "./types/ListResolverEndpointIpAddressesInput";
import { ListResolverEndpointIpAddressesOutput } from "./types/ListResolverEndpointIpAddressesOutput";
import { ListResolverEndpointsInput } from "./types/ListResolverEndpointsInput";
import { ListResolverEndpointsOutput } from "./types/ListResolverEndpointsOutput";
import { ListResolverRuleAssociationsInput } from "./types/ListResolverRuleAssociationsInput";
import { ListResolverRuleAssociationsOutput } from "./types/ListResolverRuleAssociationsOutput";
import { ListResolverRulesInput } from "./types/ListResolverRulesInput";
import { ListResolverRulesOutput } from "./types/ListResolverRulesOutput";
import { ListTagsForResourceInput } from "./types/ListTagsForResourceInput";
import { ListTagsForResourceOutput } from "./types/ListTagsForResourceOutput";
import { PutResolverRulePolicyInput } from "./types/PutResolverRulePolicyInput";
import { PutResolverRulePolicyOutput } from "./types/PutResolverRulePolicyOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
import { UpdateResolverEndpointInput } from "./types/UpdateResolverEndpointInput";
import { UpdateResolverEndpointOutput } from "./types/UpdateResolverEndpointOutput";
import { UpdateResolverRuleInput } from "./types/UpdateResolverRuleInput";
import { UpdateResolverRuleOutput } from "./types/UpdateResolverRuleOutput";
export declare class Route53Resolver extends Route53ResolverClient {
    /**
     * <p>Adds IP addresses to an inbound or an outbound resolver endpoint. If you want to adding more than one IP address, submit one <code>AssociateResolverEndpointIpAddress</code> request for each IP address.</p> <p>To remove an IP address from an endpoint, see <a>DisassociateResolverEndpointIpAddress</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {ResourceExistsException} <p>The resource that you tried to create already exists.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {LimitExceededException} <p>The request caused one or more limits to be exceeded.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associateResolverEndpointIpAddress(args: AssociateResolverEndpointIpAddressInput): Promise<AssociateResolverEndpointIpAddressOutput>;
    associateResolverEndpointIpAddress(args: AssociateResolverEndpointIpAddressInput, cb: (err: any, data?: AssociateResolverEndpointIpAddressOutput) => void): void;
    /**
     * <p>Associates a resolver rule with a VPC. When you associate a rule with a VPC, Resolver forwards all DNS queries for the domain name that is specified in the rule and that originate in the VPC. The queries are forwarded to the IP addresses for the DNS resolvers that are specified in the rule. For more information about rules, see <a>CreateResolverRule</a>. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {ResourceUnavailableException} <p>The specified resource isn't available.</p>
     *   - {ResourceExistsException} <p>The resource that you tried to create already exists.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associateResolverRule(args: AssociateResolverRuleInput): Promise<AssociateResolverRuleOutput>;
    associateResolverRule(args: AssociateResolverRuleInput, cb: (err: any, data?: AssociateResolverRuleOutput) => void): void;
    /**
     * <p>Creates a resolver endpoint. There are two types of resolver endpoints, inbound and outbound:</p> <ul> <li> <p>An <i>inbound resolver endpoint</i> forwards DNS queries to the DNS service for a VPC from your network or another VPC.</p> </li> <li> <p>An <i>outbound resolver endpoint</i> forwards DNS queries from the DNS service for a VPC to your network or another VPC.</p> </li> </ul>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {ResourceExistsException} <p>The resource that you tried to create already exists.</p>
     *   - {LimitExceededException} <p>The request caused one or more limits to be exceeded.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createResolverEndpoint(args: CreateResolverEndpointInput): Promise<CreateResolverEndpointOutput>;
    createResolverEndpoint(args: CreateResolverEndpointInput, cb: (err: any, data?: CreateResolverEndpointOutput) => void): void;
    /**
     * <p>For DNS queries that originate in your VPCs, specifies which resolver endpoint the queries pass through, one domain name that you want to forward to your network, and the IP addresses of the DNS resolvers in your network.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {LimitExceededException} <p>The request caused one or more limits to be exceeded.</p>
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {ResourceExistsException} <p>The resource that you tried to create already exists.</p>
     *   - {ResourceUnavailableException} <p>The specified resource isn't available.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createResolverRule(args: CreateResolverRuleInput): Promise<CreateResolverRuleOutput>;
    createResolverRule(args: CreateResolverRuleInput, cb: (err: any, data?: CreateResolverRuleOutput) => void): void;
    /**
     * <p>Deletes a resolver endpoint. The effect of deleting a resolver endpoint depends on whether it's an inbound or an outbound resolver endpoint:</p> <ul> <li> <p> <b>Inbound</b>: DNS queries from your network or another VPC are no longer routed to the DNS service for the specified VPC.</p> </li> <li> <p> <b>Outbound</b>: DNS queries from a VPC are no longer routed to your network or to another VPC.</p> </li> </ul>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteResolverEndpoint(args: DeleteResolverEndpointInput): Promise<DeleteResolverEndpointOutput>;
    deleteResolverEndpoint(args: DeleteResolverEndpointInput, cb: (err: any, data?: DeleteResolverEndpointOutput) => void): void;
    /**
     * <p>Deletes a resolver rule. Before you can delete a resolver rule, you must disassociate it from all the VPCs that you associated the resolver rule with. For more infomation, see <a>DisassociateResolverRule</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {ResourceInUseException} <p>The resource that you tried to update or delete is currently in use.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteResolverRule(args: DeleteResolverRuleInput): Promise<DeleteResolverRuleOutput>;
    deleteResolverRule(args: DeleteResolverRuleInput, cb: (err: any, data?: DeleteResolverRuleOutput) => void): void;
    /**
     * <p>Removes IP addresses from an inbound or an outbound resolver endpoint. If you want to remove more than one IP address, submit one <code>DisassociateResolverEndpointIpAddress</code> request for each IP address.</p> <p>To add an IP address to an endpoint, see <a>AssociateResolverEndpointIpAddress</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {ResourceExistsException} <p>The resource that you tried to create already exists.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociateResolverEndpointIpAddress(args: DisassociateResolverEndpointIpAddressInput): Promise<DisassociateResolverEndpointIpAddressOutput>;
    disassociateResolverEndpointIpAddress(args: DisassociateResolverEndpointIpAddressInput, cb: (err: any, data?: DisassociateResolverEndpointIpAddressOutput) => void): void;
    /**
     * <p>Removes the association between a specified resolver rule and a specified VPC.</p> <important> <p>If you disassociate a resolver rule from a VPC, Resolver stops forwarding DNS queries for the domain name that you specified in the resolver rule. </p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociateResolverRule(args: DisassociateResolverRuleInput): Promise<DisassociateResolverRuleOutput>;
    disassociateResolverRule(args: DisassociateResolverRuleInput, cb: (err: any, data?: DisassociateResolverRuleOutput) => void): void;
    /**
     * <p>Gets information about a specified resolver endpoint, such as whether it's an inbound or an outbound resolver endpoint, and the current status of the endpoint.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResolverEndpoint(args: GetResolverEndpointInput): Promise<GetResolverEndpointOutput>;
    getResolverEndpoint(args: GetResolverEndpointInput, cb: (err: any, data?: GetResolverEndpointOutput) => void): void;
    /**
     * <p>Gets information about a specified resolver rule, such as the domain name that the rule forwards DNS queries for and the ID of the outbound resolver endpoint that the rule is associated with.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResolverRule(args: GetResolverRuleInput): Promise<GetResolverRuleOutput>;
    getResolverRule(args: GetResolverRuleInput, cb: (err: any, data?: GetResolverRuleOutput) => void): void;
    /**
     * <p>Gets information about an association between a specified resolver rule and a VPC. You associate a resolver rule and a VPC using <a>AssociateResolverRule</a>. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResolverRuleAssociation(args: GetResolverRuleAssociationInput): Promise<GetResolverRuleAssociationOutput>;
    getResolverRuleAssociation(args: GetResolverRuleAssociationInput, cb: (err: any, data?: GetResolverRuleAssociationOutput) => void): void;
    /**
     * <p>Gets information about a resolver rule policy. A resolver rule policy specifies the Resolver operations and resources that you want to allow another AWS account to be able to use. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {UnknownResourceException} <p>The specified resource doesn't exist.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getResolverRulePolicy(args: GetResolverRulePolicyInput): Promise<GetResolverRulePolicyOutput>;
    getResolverRulePolicy(args: GetResolverRulePolicyInput, cb: (err: any, data?: GetResolverRulePolicyOutput) => void): void;
    /**
     * <p>Gets the IP addresses for a specified resolver endpoint.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {InvalidNextTokenException} <p>The value that you specified for <code>NextToken</code> in a <code>List</code> request isn't valid.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResolverEndpointIpAddresses(args: ListResolverEndpointIpAddressesInput): Promise<ListResolverEndpointIpAddressesOutput>;
    listResolverEndpointIpAddresses(args: ListResolverEndpointIpAddressesInput, cb: (err: any, data?: ListResolverEndpointIpAddressesOutput) => void): void;
    /**
     * <p>Lists all the resolver endpoints that were created using the current AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidNextTokenException} <p>The value that you specified for <code>NextToken</code> in a <code>List</code> request isn't valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResolverEndpoints(args: ListResolverEndpointsInput): Promise<ListResolverEndpointsOutput>;
    listResolverEndpoints(args: ListResolverEndpointsInput, cb: (err: any, data?: ListResolverEndpointsOutput) => void): void;
    /**
     * <p>Lists the associations that were created between resolver rules and VPCs using the current AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidNextTokenException} <p>The value that you specified for <code>NextToken</code> in a <code>List</code> request isn't valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResolverRuleAssociations(args: ListResolverRuleAssociationsInput): Promise<ListResolverRuleAssociationsOutput>;
    listResolverRuleAssociations(args: ListResolverRuleAssociationsInput, cb: (err: any, data?: ListResolverRuleAssociationsOutput) => void): void;
    /**
     * <p>Lists the resolver rules that were created using the current AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidNextTokenException} <p>The value that you specified for <code>NextToken</code> in a <code>List</code> request isn't valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResolverRules(args: ListResolverRulesInput): Promise<ListResolverRulesOutput>;
    listResolverRules(args: ListResolverRulesInput, cb: (err: any, data?: ListResolverRulesOutput) => void): void;
    /**
     * <p>Lists the tags that you associated with the specified resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidNextTokenException} <p>The value that you specified for <code>NextToken</code> in a <code>List</code> request isn't valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listTagsForResource(args: ListTagsForResourceInput): Promise<ListTagsForResourceOutput>;
    listTagsForResource(args: ListTagsForResourceInput, cb: (err: any, data?: ListTagsForResourceOutput) => void): void;
    /**
     * <p>Specifies the Resolver operations and resources that you want to allow another AWS account to be able to use.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidPolicyDocument} <p>The specified resolver rule policy is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {UnknownResourceException} <p>The specified resource doesn't exist.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putResolverRulePolicy(args: PutResolverRulePolicyInput): Promise<PutResolverRulePolicyOutput>;
    putResolverRulePolicy(args: PutResolverRulePolicyInput, cb: (err: any, data?: PutResolverRulePolicyOutput) => void): void;
    /**
     * <p>Adds one or more tags to a specified resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {LimitExceededException} <p>The request caused one or more limits to be exceeded.</p>
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidTagException} <p>The specified tag is invalid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Removes one or more tags from a specified resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
    /**
     * <p>Updates the name of an inbound or an outbound resolver endpoint. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateResolverEndpoint(args: UpdateResolverEndpointInput): Promise<UpdateResolverEndpointOutput>;
    updateResolverEndpoint(args: UpdateResolverEndpointInput, cb: (err: any, data?: UpdateResolverEndpointOutput) => void): void;
    /**
     * <p>Updates settings for a specified resolver rule. <code>ResolverRuleId</code> is required, and all other parameters are optional. If you don't specify a parameter, it retains its current value.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidRequestException} <p>The request is invalid.</p>
     *   - {InvalidParameterException} <p>One or more parameters in this request are not valid.</p>
     *   - {ResourceNotFoundException} <p>The specified resource doesn't exist.</p>
     *   - {ResourceUnavailableException} <p>The specified resource isn't available.</p>
     *   - {LimitExceededException} <p>The request caused one or more limits to be exceeded.</p>
     *   - {InternalServiceErrorException} <p>We encountered an unknown error. Try again in a few minutes.</p>
     *   - {ThrottlingException} <p>The request was throttled. Try again in a few minutes.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateResolverRule(args: UpdateResolverRuleInput): Promise<UpdateResolverRuleOutput>;
    updateResolverRule(args: UpdateResolverRuleInput, cb: (err: any, data?: UpdateResolverRuleOutput) => void): void;
}
