"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateResolverEndpoint_1 = require("../model/operations/CreateResolverEndpoint");
var CreateResolverEndpointCommand = /** @class */ (function () {
    function CreateResolverEndpointCommand(input) {
        this.input = input;
        this.model = CreateResolverEndpoint_1.CreateResolverEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateResolverEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateResolverEndpointCommand;
}());
exports.CreateResolverEndpointCommand = CreateResolverEndpointCommand;
//# sourceMappingURL=CreateResolverEndpointCommand.js.map