"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateResolverRule_1 = require("../model/operations/CreateResolverRule");
var CreateResolverRuleCommand = /** @class */ (function () {
    function CreateResolverRuleCommand(input) {
        this.input = input;
        this.model = CreateResolverRule_1.CreateResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateResolverRuleCommand;
}());
exports.CreateResolverRuleCommand = CreateResolverRuleCommand;
//# sourceMappingURL=CreateResolverRuleCommand.js.map