"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteResolverEndpoint_1 = require("../model/operations/DeleteResolverEndpoint");
var DeleteResolverEndpointCommand = /** @class */ (function () {
    function DeleteResolverEndpointCommand(input) {
        this.input = input;
        this.model = DeleteResolverEndpoint_1.DeleteResolverEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteResolverEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteResolverEndpointCommand;
}());
exports.DeleteResolverEndpointCommand = DeleteResolverEndpointCommand;
//# sourceMappingURL=DeleteResolverEndpointCommand.js.map