"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteResolverRule_1 = require("../model/operations/DeleteResolverRule");
var DeleteResolverRuleCommand = /** @class */ (function () {
    function DeleteResolverRuleCommand(input) {
        this.input = input;
        this.model = DeleteResolverRule_1.DeleteResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteResolverRuleCommand;
}());
exports.DeleteResolverRuleCommand = DeleteResolverRuleCommand;
//# sourceMappingURL=DeleteResolverRuleCommand.js.map