"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateResolverRule_1 = require("../model/operations/DisassociateResolverRule");
var DisassociateResolverRuleCommand = /** @class */ (function () {
    function DisassociateResolverRuleCommand(input) {
        this.input = input;
        this.model = DisassociateResolverRule_1.DisassociateResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateResolverRuleCommand;
}());
exports.DisassociateResolverRuleCommand = DisassociateResolverRuleCommand;
//# sourceMappingURL=DisassociateResolverRuleCommand.js.map