"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResolverRulePolicy_1 = require("../model/operations/GetResolverRulePolicy");
var GetResolverRulePolicyCommand = /** @class */ (function () {
    function GetResolverRulePolicyCommand(input) {
        this.input = input;
        this.model = GetResolverRulePolicy_1.GetResolverRulePolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResolverRulePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResolverRulePolicyCommand;
}());
exports.GetResolverRulePolicyCommand = GetResolverRulePolicyCommand;
//# sourceMappingURL=GetResolverRulePolicyCommand.js.map