"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResolverEndpoints_1 = require("../model/operations/ListResolverEndpoints");
var ListResolverEndpointsCommand = /** @class */ (function () {
    function ListResolverEndpointsCommand(input) {
        this.input = input;
        this.model = ListResolverEndpoints_1.ListResolverEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResolverEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResolverEndpointsCommand;
}());
exports.ListResolverEndpointsCommand = ListResolverEndpointsCommand;
//# sourceMappingURL=ListResolverEndpointsCommand.js.map