"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResolverRuleAssociations_1 = require("../model/operations/ListResolverRuleAssociations");
var ListResolverRuleAssociationsCommand = /** @class */ (function () {
    function ListResolverRuleAssociationsCommand(input) {
        this.input = input;
        this.model = ListResolverRuleAssociations_1.ListResolverRuleAssociations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResolverRuleAssociationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResolverRuleAssociationsCommand;
}());
exports.ListResolverRuleAssociationsCommand = ListResolverRuleAssociationsCommand;
//# sourceMappingURL=ListResolverRuleAssociationsCommand.js.map