"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResolverRules_1 = require("../model/operations/ListResolverRules");
var ListResolverRulesCommand = /** @class */ (function () {
    function ListResolverRulesCommand(input) {
        this.input = input;
        this.model = ListResolverRules_1.ListResolverRules;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResolverRulesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResolverRulesCommand;
}());
exports.ListResolverRulesCommand = ListResolverRulesCommand;
//# sourceMappingURL=ListResolverRulesCommand.js.map