"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutResolverRulePolicy_1 = require("../model/operations/PutResolverRulePolicy");
var PutResolverRulePolicyCommand = /** @class */ (function () {
    function PutResolverRulePolicyCommand(input) {
        this.input = input;
        this.model = PutResolverRulePolicy_1.PutResolverRulePolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutResolverRulePolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutResolverRulePolicyCommand;
}());
exports.PutResolverRulePolicyCommand = PutResolverRulePolicyCommand;
//# sourceMappingURL=PutResolverRulePolicyCommand.js.map