"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateResolverRule_1 = require("../model/operations/UpdateResolverRule");
var UpdateResolverRuleCommand = /** @class */ (function () {
    function UpdateResolverRuleCommand(input) {
        this.input = input;
        this.model = UpdateResolverRule_1.UpdateResolverRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateResolverRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateResolverRuleCommand;
}());
exports.UpdateResolverRuleCommand = UpdateResolverRuleCommand;
//# sourceMappingURL=UpdateResolverRuleCommand.js.map