"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateResolverEndpointInput_1 = require("../shapes/CreateResolverEndpointInput");
var CreateResolverEndpointOutput_1 = require("../shapes/CreateResolverEndpointOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateResolverEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateResolverEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateResolverEndpointInput_1.CreateResolverEndpointInput
    },
    output: {
        shape: CreateResolverEndpointOutput_1.CreateResolverEndpointOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=CreateResolverEndpoint.js.map