"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateResolverRuleInput_1 = require("../shapes/CreateResolverRuleInput");
var CreateResolverRuleOutput_1 = require("../shapes/CreateResolverRuleOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ResourceExistsException_1 = require("../shapes/ResourceExistsException");
var ResourceUnavailableException_1 = require("../shapes/ResourceUnavailableException");
var InternalServiceErrorException_1 = require("../shapes/InternalServiceErrorException");
var ThrottlingException_1 = require("../shapes/ThrottlingException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateResolverRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateResolverRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateResolverRuleInput_1.CreateResolverRuleInput
    },
    output: {
        shape: CreateResolverRuleOutput_1.CreateResolverRuleOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ResourceExistsException_1.ResourceExistsException
        },
        {
            shape: ResourceUnavailableException_1.ResourceUnavailableException
        },
        {
            shape: InternalServiceErrorException_1.InternalServiceErrorException
        },
        {
            shape: ThrottlingException_1.ThrottlingException
        }
    ]
};
//# sourceMappingURL=CreateResolverRule.js.map