"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Route53ResolverClient_1 = require("../../Route53ResolverClient");
var ListResolverEndpointsCommand_1 = require("../../commands/ListResolverEndpointsCommand");
var GetResolverRuleCommand_1 = require("../../commands/GetResolverRuleCommand");
describe("@aws-sdk/client-route53resolver-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListResolverEndpoints should succeed when given correct input", function (done) {
        var client = new Route53ResolverClient_1.Route53ResolverClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listResolverEndpoints = new ListResolverEndpointsCommand_1.ListResolverEndpointsCommand({});
        client
            .send(listResolverEndpoints)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetResolverRule should fail when given bad input", function (done) {
        var client = new Route53ResolverClient_1.Route53ResolverClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getResolverRule = new GetResolverRuleCommand_1.GetResolverRuleCommand({
            ResolverRuleId: "fake-id"
        });
        client
            .send(getResolverRule)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map